CHPASSWD(8)

NAZWA
chpasswd - wsadowa aktualizacja haseł użytkowników

SKŁADNIA

chpasswd [opcje]

OPIS

Polecenie chpasswd czyta pary danych (użytkownik i hasło) ze standardowego wejścia. Odczytane informacje wykorzystywane są do aktualizacji danych o grupie istniejących użytkowników. Każdy wiersz przekazywanych danych ma postać:

nazwa_użytkownika:hasło

Domyślnie dostarczane hasła muszą być w postaci jawnej. Podczas kodowania haseł używany jest domyślnie algorytm DES. W trakcie zmiany hasła aktualizowany jest także wiek hasła.

Polecenie to przeznaczone jest do użytku w dużych systemach, gdzie aktualizuje się wiele kont naraz.

OPCJE

Polecenie chpasswd posiada następujące opcje:

-e, --encrypted
    Dostarczone na standardowe wejście hasła są traktowane jako już zakodowane.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-m, --md5
    Jeżeli dpostarczane hasła są w postaci jawnej użyj kodowania MD5 zamiast domyślnego DES.

OSTRZEŻENIA

Pamiętaj żeby zabezpieczyć przed odczytem plik przekazywany na standardowe wejście polecenia.

ZOBACZ TAKŻE

passwd(1), newusers(8), useradd(8).